[
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'XYBarChartTimeSeriesReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"c81a8294-562f-4562-8f4d-bad1a2096be7\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"f4579afd-2eb7-4269-8de8-dfd68fd13752\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"6d9c2628-39af-421d-bf9f-9844a14dcaec\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"xyBar\" uuid=\"c8d1a11b-bc8a-49b4-aa4f-a6395e1cbc82\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"timeSeries\" incrementType=\"Group\" resetGroup=\"CountryGroup\" incrementGroup=\"MonthGroup\" timePeriod=\"Month\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} / 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight}</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} * 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showTickMarks=\"true\" showTickLabels=\"true\">\n\t\t\t\t\t\t<itemLabel color=\"#000000\" backgroundColor=\"#FFFFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"c7cb3703-1a87-4abf-8c68-792ced414087\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"9c030119-1ceb-4e03-b1ba-5b481d9f11fd\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"b0234161-6abd-4aa0-9afb-e63f31c973f3\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"15f2ae21-ea7f-49ea-9297-fca702e97de0\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"45bdb0b9-80a9-456f-8675-3287c399d2bc\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'XYBarChartTimeSeriesReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'XYBarChartTimeSeriesReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"225\">\n\t\t\t\t<element kind=\"line\" uuid=\"c81a8294-562f-4562-8f4d-bad1a2096be7\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"f4579afd-2eb7-4269-8de8-dfd68fd13752\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"6d9c2628-39af-421d-bf9f-9844a14dcaec\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"xyBar\" uuid=\"c8d1a11b-bc8a-49b4-aa4f-a6395e1cbc82\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\">\n\t\t\t\t\t<dataset kind=\"timeSeries\" incrementType=\"Group\" resetGroup=\"CountryGroup\" incrementGroup=\"MonthGroup\" timePeriod=\"Month\" resetType=\"Group\">\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Half Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} / 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Normal Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight}</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t\t<series>\n\t\t\t\t\t\t\t<seriesExpression>\"Double Freight\"</seriesExpression>\n\t\t\t\t\t\t\t<timePeriodExpression>$F{OrderDate}</timePeriodExpression>\n\t\t\t\t\t\t\t<valueExpression>$F{Freight} * 2d</valueExpression>\n\t\t\t\t\t\t</series>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot showTickMarks=\"true\" showTickLabels=\"true\">\n\t\t\t\t\t\t<itemLabel color=\"#000000\" backgroundColor=\"#FFFFFF\" />\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"c7cb3703-1a87-4abf-8c68-792ced414087\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"9c030119-1ceb-4e03-b1ba-5b481d9f11fd\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"b0234161-6abd-4aa0-9afb-e63f31c973f3\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"15f2ae21-ea7f-49ea-9297-fca702e97de0\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"45bdb0b9-80a9-456f-8675-3287c399d2bc\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'XYBarChartTimeSeriesReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]